## elib.intl 0.0.3~git20110809

=== doc/reference/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/elib.intl.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/elib.intl.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

=== debian/changelog ===
elib.intl (0.0.3~git20110809-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Build documentation with python3 Sphinx

 -- Sandro Tosi <morph@debian.org>  Fri, 31 Jan 2020 20:18:42 -0500

elib.intl (0.0.3~git20110809-5) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/fix-sphinxdoc-intermapping.patch:
    - Makes sphinxdoc stops accessing internet during build (Closes: #830551).

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 08 Oct 2016 15:42:38 +0200

elib.intl (0.0.3~git20110809-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Jonathan Wiltshire ]
  * Use pybuild to build, add dependency on python-nose
    (Closes: #830551)
  * Debhelper compat level 9
  * Standards version 3.9.8 (no changes)
  * Update debian/copyright, update format URL
  * Update lintian overrides
  * Build-depend on debhelper >=9
  * Fix doc-base registration

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 23 Jul 2016 22:22:47 +0100

elib.intl (0.0.3~git20110809-3) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Luca Falavigna ]
  * Switch to dh_python2 (Closes: #786278).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 30 Aug 2015 15:59:48 +0200

elib.intl (0.0.3~git20110809-2) unstable; urgency=low

  * Set DPMT as maintainer and me as uploader
  * Build-Depend on python-setuptools (Closes: #638966)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 23 Aug 2011 14:10:28 +0100

elib.intl (0.0.3~git20110809-1) unstable; urgency=low

  * Initial release (Closes: #637244)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 09 Aug 2011 21:58:39 +0100

=== debian/control ===
Source: elib.intl
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonathan Wiltshire <jmw@debian.org>
Build-Depends: python-all (>= 2.6.6-3~), dh-python, debhelper-compat (= 9), python3-sphinx, python-setuptools (>= 0.6c11), python-nose, python-doc
Standards-Version: 3.9.8
Homepage: https://github.com/dieterv/elib.intl
Vcs-Git: https://salsa.debian.org/python-team/modules/elib.intl.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/elib.intl

Package: python-elib.intl
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: enhanced internationalization (I18N) for Python
 The elib.intl module provides enhanced internationalization (I18N) services
 for your Python modules and applications.
 .
 elib.intl wraps Python's :func:`gettext` functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=elib.intl

override_dh_clean:
	rm -rf lib/elib.intl.egg-info
	cd doc/reference && make clean
	dh_clean

override_dh_auto_build:
	cd doc/reference && make html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
	dh_auto_build

%:
	dh $@ --with python2 --buildsystem=pybuild
